Settlements
A settlement is a batch payout of your net collections to your verified settlement bank account, on your T+0 or T+1 schedule.
| get | /v1/settlementsList settlements | List settlements |
| get | /v1/settlements/{id}Retrieve a settlement with its transactions | Retrieve a settlement with its transactions |
Read the Settlements and fees for the concepts behind these endpoints.
List settlements
get
/v1/settlementsQuery parameters
limitinteger | 1–100, default 20 |
starting_afterstring | Cursor: the |
GET /v1/settlements
Responses
200A page of settlements
Show response attributesHide response attributes
objectstringrequired | always "list" | ||||||||||||||||||||||||||||||||||||||||
dataarray of objectrequired | Show child attributesHide child attributes
| ||||||||||||||||||||||||||||||||||||||||
has_morebooleanrequired | |||||||||||||||||||||||||||||||||||||||||
next_cursorstring | nullrequired |
Response 200
Try it in the sandbox
Retrieve a settlement with its transactions
get
/v1/settlements/{id}Path parameters
idstringrequired |
GET /v1/settlements/{id}
Responses
200The settlement
Show response attributesHide response attributes
idstringrequired | |||||||||||
objectstringrequired | always "settlement" | ||||||||||
modestringrequired | One of | ||||||||||
statusstringrequired | One of | ||||||||||
currencystringrequired | always "NGN" | ||||||||||
period_startstringrequired | |||||||||||
period_endstringrequired | |||||||||||
grossintegerrequired | |||||||||||
feesintegerrequired | |||||||||||
netintegerrequired | |||||||||||
transaction_countintegerrequired | |||||||||||
bank_accountobject | nullrequired | |||||||||||
created_atstringrequired | |||||||||||
completed_atstring | nullrequired | |||||||||||
transactionsarray of object | Show child attributesHide child attributes
|
Response 200
Try it in the sandbox